Commits

Anonymous committed 1624923

Glenn Maynard's patch completely disabled PuTTY{,tel} on any system
that didn't support OSVERSIONINFOEX. For example, such wildly out of
date things as NT4. Now fixed.

Comments (0)

Files changed (1)

 
     {
 	ZeroMemory(&osVersion, sizeof(osVersion));
-	osVersion.dwOSVersionInfoSize = sizeof(osVersion);
+	osVersion.dwOSVersionInfoSize = sizeof(OSVERSIONINFOEX);
 
 	if(!GetVersionEx ((OSVERSIONINFO *) &osVersion)) {
 	// If OSVERSIONINFOEX doesn't work, try OSVERSIONINFO.
 
-	osVersion.dwOSVersionInfoSize = sizeof (osVersion);
+	osVersion.dwOSVersionInfoSize = sizeof (OSVERSIONINFO);
 	if (!GetVersionEx ( (OSVERSIONINFO *) &osVersion))
 	    return FALSE;
 	}